Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022883
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2013-01-24 12:332013-02-01 22:29
ReporterngarciaView Statuspublic 
Assigned Tojecharri 
PriorityimmediateResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchpiFixed in SCM revisionba202e7c6b2d
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022883: Partial goods shipments from orders can be created with a higher amount than the ordered

DescriptionPartial goods shipments from orders can be created with a higher amount than the ordered
Steps To ReproduceAs group admin role:
   Create a Sales Order and book it
   Create an associated Goods Shipment with the Create Lines From process
   Increase the Movement Quantity
   Check that the following error message appears:
      Saving failed. Movement Quantity is greater than the Ordered Quantity.
   Now change the Movement Quantity to be less than the ordered quantity and complete it
   Create a new Goods Shipment for that order
   Change the Movement Quantity to the ordered quantity and complete it
   Notice that the total quantity shipped (in both shipments) is higher than the ordered one
   You could create a third goods shipment for that order with negative quantity
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00254003.0PR14Q2 closedAtulOpenbravo More quantity than the ordered can be shipped 

-  Notes
(0055979)
hgbot (developer)
2013-01-30 18:03

Repository: erp/devel/pi
Changeset: 388afb7bcd0d7b6b7ea8b8283a3c8c0f0621b1b3
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Jan 30 18:02:39 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/388afb7bcd0d7b6b7ea8b8283a3c8c0f0621b1b3 [^]

Fixes issue 22883: Partial goods shipments from orders
can be created with a higher amount than the ordered

---
M src-db/database/model/triggers/M_INOUTLINE_TRG.xml
---
(0055996)
jecharri (developer)
2013-01-31 10:02

Test cases:
-verify steps to reproduce.

-Create a partial shipment with positive value
-Create a partial shipment with negative value
-Create a partial shipment with positive value covering all the order + 1 (check that you can not)
-Create a partial shipment with positive value covering all the order (check that you can)

-Verify that you can void all the previous shipments.
-verify that again you can create the above shipments.

--------------------------------------------------------
-Create a partial shipment with positive value
-Create a partial shipment with positive value covering all the order + 1 (check that you can not)
-Create a partial shipment with positive value covering all the order (check that you can)

-Verify that you can void all the previous shipments.
-verify that again you can create the above shipments.
(0056022)
hgbot (developer)
2013-01-31 17:12

Repository: erp/devel/pi
Changeset: ccd53c8a7517e50664d108b95cbdede627213f39
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Thu Jan 31 17:11:33 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ccd53c8a7517e50664d108b95cbdede627213f39 [^]

issue 22883: Partial goods shipments from orders can be created
with a higher amount than the ordered

---
M src-db/database/model/triggers/M_INOUTLINE_TRG.xml
---
(0056046)
hgbot (developer)
2013-02-01 11:52

Repository: erp/devel/pi
Changeset: ba202e7c6b2d5c80c15108bd0a51800b084b97c6
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Feb 01 11:51:34 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ba202e7c6b2d5c80c15108bd0a51800b084b97c6 [^]

Fixes issue 22883: Partial goods shipments
from orders can be created with a higher amount than the ordered

---
M src-db/database/model/triggers/M_INOUTLINE_TRG.xml
---
(0056063)
ngarcia (developer)
2013-02-01 16:57

changed to new in order to change the target version
(0056064)
ngarcia (developer)
2013-02-01 16:58

verified
(0056092)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056100)
hudsonbot (developer)
2013-02-01 22:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056109)
hudsonbot (developer)
2013-02-01 22:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-24 12:33 ngarcia New Issue
2013-01-24 12:33 ngarcia Assigned To => dmiguelez
2013-01-24 12:33 ngarcia Modules => Core
2013-01-24 12:33 ngarcia Triggers an Emergency Pack => No
2013-01-24 12:33 ngarcia Issue Monitored: networkb
2013-01-24 20:28 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-01-29 14:48 jonalegriaesarte Priority high => immediate
2013-01-29 14:48 jonalegriaesarte Severity minor => major
2013-01-29 14:48 jonalegriaesarte Target Version 3.0MP22 => 3.0MP20
2013-01-30 10:26 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-01-30 18:03 hgbot Checkin
2013-01-30 18:03 hgbot Note Added: 0055979
2013-01-30 18:03 hgbot Status new => resolved
2013-01-30 18:03 hgbot Resolution open => fixed
2013-01-30 18:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/388afb7bcd0d7b6b7ea8b8283a3c8c0f0621b1b3 [^]
2013-01-31 10:02 jecharri Note Added: 0055996
2013-01-31 17:12 hgbot Checkin
2013-01-31 17:12 hgbot Note Added: 0056022
2013-01-31 17:13 jecharri Status resolved => new
2013-01-31 17:13 jecharri Resolution fixed => open
2013-01-31 17:13 jecharri Target Version 3.0MP20 => 3.0MP21
2013-02-01 11:52 hgbot Checkin
2013-02-01 11:52 hgbot Note Added: 0056046
2013-02-01 11:54 hgbot Status new => resolved
2013-02-01 11:54 hgbot Resolution open => fixed
2013-02-01 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/388afb7bcd0d7b6b7ea8b8283a3c8c0f0621b1b3 [^] => http://code.openbravo.com/erp/devel/pi/rev/ba202e7c6b2d5c80c15108bd0a51800b084b97c6 [^]
2013-02-01 16:57 ngarcia Note Added: 0056063
2013-02-01 16:57 ngarcia Status resolved => new
2013-02-01 16:57 ngarcia Resolution fixed => open
2013-02-01 16:58 ngarcia Review Assigned To => ngarcia
2013-02-01 16:58 ngarcia Note Added: 0056064
2013-02-01 16:58 ngarcia Status new => closed
2013-02-01 16:58 ngarcia Fixed in Version => 3.0MP20
2013-02-01 16:59 ngarcia Status closed => new
2013-02-01 16:59 ngarcia Fixed in Version 3.0MP20 =>
2013-02-01 16:59 ngarcia Target Version 3.0MP21 => 3.0MP20
2013-02-01 17:00 ngarcia Status new => scheduled
2013-02-01 17:00 ngarcia fix_in_branch => pi
2013-02-01 17:00 ngarcia Status scheduled => resolved
2013-02-01 17:00 ngarcia Fixed in Version => 3.0MP20
2013-02-01 17:00 ngarcia Resolution open => fixed
2013-02-01 17:00 ngarcia Status resolved => closed
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056092
2013-02-01 22:29 hudsonbot Checkin
2013-02-01 22:29 hudsonbot Note Added: 0056100
2013-02-01 22:29 hudsonbot Checkin
2013-02-01 22:29 hudsonbot Note Added: 0056109
2013-12-26 11:45 ngarcia Relationship added related to 0025400


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker